import Moonbase from '@moonbaseai/sdk';const client = new Moonbase({ apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted});const program = await client.programs.retrieve('id');console.log(program.id);
require "moonbase"
moonbase = Moonbase::Client.new(api_key: "My API Key")
program = moonbase.programs.retrieve("id")
puts(program)
import os
from moonbase import Moonbase
client = Moonbase(
api_key=os.environ.get("MOONBASE_API_KEY"), # This is the default and can be omitted
)
program = client.programs.retrieve(
id="id",
)
print(program.id)
import Moonbase from '@moonbaseai/sdk';const client = new Moonbase({ apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted});const program = await client.programs.retrieve('id');console.log(program.id);
require "moonbase"
moonbase = Moonbase::Client.new(api_key: "My API Key")
program = moonbase.programs.retrieve("id")
puts(program)
import os
from moonbase import Moonbase
client = Moonbase(
api_key=os.environ.get("MOONBASE_API_KEY"), # This is the default and can be omitted
)
program = client.programs.retrieve(
id="id",
)
print(program.id)
The ProgramTemplate used for messages in this program.
Note: Only present when requested using the include query parameter.
Show child attributes
⌘I
{"docsConfig":{"theme":"willow","$schema":"https://mintlify.com/docs.json","name":"Moonbase","colors":{"primary":"#155dfc","light":"#155dfc","dark":"#155dfc"},"logo":{"light":"https://mintcdn.com/moonbase/AOEZOe7JnGuxVPHu/logo/light.png?fit=max\u0026auto=format\u0026n=AOEZOe7JnGuxVPHu\u0026q=85\u0026s=925de8fb858a642820b533b6ebbfd861","dark":"https://mintcdn.com/moonbase/AOEZOe7JnGuxVPHu/logo/dark.png?fit=max\u0026auto=format\u0026n=AOEZOe7JnGuxVPHu\u0026q=85\u0026s=86e5b56f5f16ddfa46525172b52a9e57"},"favicon":"https://mintcdn.com/moonbase/tG7_VarB-j-JYoLL/favicon.svg?fit=max\u0026auto=format\u0026n=tG7_VarB-j-JYoLL\u0026q=85\u0026s=b14b2756b09ff19a9e9d38991fa822aa","api":{"openapi":{"source":"https://app.stainless.com/api/spec/documented/moonbase-sdk/openapi.documented.yml","directory":"api-reference"},"examples":{"languages":["javascript","ruby","python","go","curl"]}},"navbar":{"links":[{"href":"mailto:support@moonbase.ai","label":"Support"}]},"footer":{"socials":{"x":"https://x.com/moonbaseai","linkedin":"https://linkedin.com/company/moonbaseai"}},"seo":{"metatags":{"robots":"noindex"}},"integrations":{"posthog":{"apiKey":"phc_FrjDVmjzOx0un0e7dgMg9R6mMX2GbvzSMvLYWC5jUT4"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"moonbase","hasAudioNarration":false,"actualSubdomain":"moonbase","customDomains":["docs.moonbase.ai"],"gitSource":{"type":"github","owner":"moonbaseai","repo":"moonbase0","deployBranch":"main","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a517ea5f5f16bde6e19de83","collectionId":"3908b917-4852-40c8-8db5-3c6cb89bc682","schemaVersion":"v3"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae9260fb6c76232801087df:success","clientVersion":"0.0.4054","searchFilterCounts":[{"language":"default","tag":"API Reference","count":205},{"language":"default","tag":"Collections","count":37},{"language":"default","tag":"Library","count":23},{"language":"default","tag":"Webhooks","count":23},{"language":"default","tag":"Events","count":18},{"language":"default","tag":"Marketing","count":13},{"language":"default","tag":"Inboxes","count":13},{"language":"default","tag":"Items","count":8},{"language":"default","tag":"Messages","count":7},{"language":"default","tag":"Core Concepts","count":6}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":true},"customCss":[],"page":{"pagePath":"api-reference/programs/get","slug":"/api-reference/programs/get","pageMetadata":{"title":"Retrieve a Program","openapi":"GET /programs/{id}","sidebarTitle":"Retrieve a Program","description":"Retrieves the details of an existing program.","href":"/api-reference/programs/get"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieves the details of an existing program.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Retrieve a Program","openapi":"GET /programs/{id}","sidebarTitle":"Retrieve a Program","description":"Retrieves the details of an existing program.","href":"/api-reference/programs/get"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Retrieve a program","description":"Retrieves the details of an existing program.","parameters":["ebd331dc-e4dc-40cb-b0b3-83dc0c971109","d4c4d642-b2a9-410a-8c57-e04d9246f391"],"responses":{"200":"c2b83ce2-c3a1-4b5a-9fe6-88e2e4f43cc1","400":"bfbf9664-d9f7-43bf-acf4-a35e1e717919","401":"86ed76b8-0fb6-4c67-8b34-4605e078f265","403":"733ca2ce-c47f-43cc-b2e1-525a80602fbe","404":"70c0373f-3072-4ba8-9556-29db29b564d5","429":"48b29d69-4693-448c-bfcf-357b6a78aca6","500":"01bc3cde-45d7-41eb-84fa-a8d6add60af7","503":"b5f2f075-c3b7-4eec-b94a-0ebeacf014d6"},"tags":["Marketing"],"x-codeSamples":[{"lang":"JavaScript","source":"import Moonbase from '@moonbaseai/sdk';\n\nconst client = new Moonbase({\n apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted\n});\n\nconst program = await client.programs.retrieve('id');\n\nconsole.log(program.id);"},{"lang":"Python","source":"import os\nfrom moonbase import Moonbase\n\nclient = Moonbase(\n api_key=os.environ.get(\"MOONBASE_API_KEY\"), # This is the default and can be omitted\n)\nprogram = client.programs.retrieve(\n id=\"id\",\n)\nprint(program.id)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/moonbaseai/moonbase-sdk-go\"\n\t\"github.com/moonbaseai/moonbase-sdk-go/option\"\n)\n\nfunc main() {\n\tclient := moonbase.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tprogram, err := client.Programs.Get(\n\t\tcontext.TODO(),\n\t\t\"id\",\n\t\tmoonbase.ProgramGetParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", program.ID)\n}\n"},{"lang":"Ruby","source":"require \"moonbase\"\n\nmoonbase = Moonbase::Client.new(api_key: \"My API Key\")\n\nprogram = moonbase.programs.retrieve(\"id\")\n\nputs(program)"}],"method":"get","type":"path","servers":["7a9e75d9-6b0b-44c3-8610-e4a9e3520de1"],"security":["148a69f3-74d8-46da-a68b-227d2b56d42f"],"path":"/programs/{id}","baseUrlOptions":["https://api.moonbase.ai/v0"],"title":"Retrieve a program","codeSamples":[{"lang":"JavaScript","source":"import Moonbase from '@moonbaseai/sdk';\n\nconst client = new Moonbase({\n apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted\n});\n\nconst program = await client.programs.retrieve('id');\n\nconsole.log(program.id);"},{"lang":"Python","source":"import os\nfrom moonbase import Moonbase\n\nclient = Moonbase(\n api_key=os.environ.get(\"MOONBASE_API_KEY\"), # This is the default and can be omitted\n)\nprogram = client.programs.retrieve(\n id=\"id\",\n)\nprint(program.id)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/moonbaseai/moonbase-sdk-go\"\n\t\"github.com/moonbaseai/moonbase-sdk-go/option\"\n)\n\nfunc main() {\n\tclient := moonbase.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tprogram, err := client.Programs.Get(\n\t\tcontext.TODO(),\n\t\t\"id\",\n\t\tmoonbase.ProgramGetParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", program.ID)\n}\n"},{"lang":"Ruby","source":"require \"moonbase\"\n\nmoonbase = Moonbase::Client.new(api_key: \"My API Key\")\n\nprogram = moonbase.programs.retrieve(\"id\")\n\nputs(program)"}],"requestExampleLanguages":["javascript","ruby","python","go","bash"],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"ebd331dc-e4dc-40cb-b0b3-83dc0c971109":{"name":"id","in":"path","required":true,"schema":{"type":"string","isRequired":true,"description":"The ID of the program to retrieve.","uniqueKey":"","typeLabel":"string"},"description":"The ID of the program to retrieve.","explode":true},"d4c4d642-b2a9-410a-8c57-e04d9246f391":{"name":"include[]","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["activity_metrics","program_template"],"uniqueKey":"items.[INDEX]","typeLabel":"enum\u003cstring>"},"isRequired":false,"description":"Specifies which related objects to include in the response. Valid options are `activity_metrics` and `program_template`.","uniqueKey":"","typeLabel":"enum\u003cstring>[]"},"description":"Specifies which related objects to include in the response. Valid options are `activity_metrics` and `program_template`.","explode":true}},"responses":{"c2b83ce2-c3a1-4b5a-9fe6-88e2e4f43cc1":{"description":"Successful response.","content":{"application/json":{"schema":{"title":"Program","description":"The Program object represents an email campaign. It defines the sending behavior and tracks engagement metrics.","type":"object","properties":{"type":{"description":"String representing the object’s type. Always `program` for this object.","type":"string","const":"program","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"id":{"description":"Unique identifier for the object.","type":"string","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"status":{"description":"The current status of the program. Can be `draft`, `published`, `paused`, or `archived`.","type":"string","enum":["draft","published","paused","archived"],"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"trigger":{"description":"The sending trigger for the program. Can be `api` for transactional sends or `broadcast` for scheduled sends.","type":"string","enum":["api","broadcast"],"isRequired":true,"uniqueKey":"trigger","typeLabel":"enum\u003cstring>"},"track_opens":{"description":"`true` if email opens are tracked for this program.","type":"boolean","isRequired":true,"uniqueKey":"track_opens","typeLabel":"boolean"},"track_clicks":{"description":"`true` if link clicks are tracked for this program.","type":"boolean","isRequired":true,"uniqueKey":"track_clicks","typeLabel":"boolean"},"created_at":{"description":"Time at which the object was created, as an ISO 8601 timestamp in UTC.","type":"string","format":"date-time","isRequired":true,"uniqueKey":"created_at","typeLabel":"string\u003cdate-time>"},"updated_at":{"description":"Time at which the object was last updated, as an ISO 8601 timestamp in UTC.","type":"string","format":"date-time","isRequired":true,"uniqueKey":"updated_at","typeLabel":"string\u003cdate-time>"},"display_name":{"description":"The user-facing name of the program.","type":"string","uniqueKey":"display_name","typeLabel":"string"},"scheduled_at":{"description":"For `broadcast` programs, the time the program is scheduled to send, as an ISO 8601 timestamp in UTC.","type":"string","format":"date-time","uniqueKey":"scheduled_at","typeLabel":"string\u003cdate-time>"},"activity_metrics":{"title":"ProgramActivityMetrics","description":"A `ProgramActivityMetrics` object summarizing engagement for this program.\n\n**Note:** Only present when requested using the `include` query parameter.\n","type":"object","properties":{"bounced":{"description":"The number of emails that could not be delivered.","type":"integer","isRequired":true,"uniqueKey":"activity_metrics.bounced","typeLabel":"integer"},"clicked":{"description":"The number of recipients who clicked at least one link.","type":"integer","isRequired":true,"uniqueKey":"activity_metrics.clicked","typeLabel":"integer"},"complained":{"description":"The number of recipients who marked the email as spam.","type":"integer","isRequired":true,"uniqueKey":"activity_metrics.complained","typeLabel":"integer"},"failed":{"description":"The number of emails that failed to send due to a technical issue.","type":"integer","isRequired":true,"uniqueKey":"activity_metrics.failed","typeLabel":"integer"},"opened":{"description":"The number of recipients who opened the email.","type":"integer","isRequired":true,"uniqueKey":"activity_metrics.opened","typeLabel":"integer"},"sent":{"description":"The total number of emails successfully sent.","type":"integer","isRequired":true,"uniqueKey":"activity_metrics.sent","typeLabel":"integer"},"shielded":{"description":"The number of emails blocked by delivery protection rules.","type":"integer","isRequired":true,"uniqueKey":"activity_metrics.shielded","typeLabel":"integer"},"unsubscribed":{"description":"The number of recipients who unsubscribed.","type":"integer","isRequired":true,"uniqueKey":"activity_metrics.unsubscribed","typeLabel":"integer"}},"required":["bounced","clicked","complained","failed","opened","sent","shielded","unsubscribed"],"uniqueKey":"activity_metrics","typeLabel":"ProgramActivityMetrics · object"},"program_template":{"title":"ProgramTemplate","description":"The `ProgramTemplate` used for messages in this program.\n\n**Note:** Only present when requested using the `include` query parameter.\n","type":"object","properties":{"type":{"description":"String representing the object’s type. Always `program_template` for this object.","type":"string","const":"program_template","isRequired":true,"uniqueKey":"program_template.type","typeLabel":"string"},"id":{"description":"Unique identifier for the object.","type":"string","isRequired":true,"uniqueKey":"program_template.id","typeLabel":"string"},"subject":{"description":"The subject line of the email, which can include Liquid variables.","type":"string","isRequired":true,"uniqueKey":"program_template.subject","typeLabel":"string"},"body":{"title":"FormattedText","description":"The body content of the email, which can include Liquid variables.","type":"object","properties":{"markdown":{"description":"The content formatted as Markdown text.","type":"string","uniqueKey":"program_template.body.markdown","typeLabel":"string"}},"required":[],"isRequired":true,"uniqueKey":"program_template.body","typeLabel":"FormattedText · object"},"created_at":{"description":"Time at which the object was created, as an ISO 8601 timestamp in UTC.","type":"string","format":"date-time","isRequired":true,"uniqueKey":"program_template.created_at","typeLabel":"string\u003cdate-time>"},"updated_at":{"description":"Time at which the object was last updated, as an ISO 8601 timestamp in UTC.","type":"string","format":"date-time","isRequired":true,"uniqueKey":"program_template.updated_at","typeLabel":"string\u003cdate-time>"},"program":{"$circularRef":"e13d355b-5200-4cb1-872b-57d4220c4d84","description":"The `Program` that uses this template.\n\n**Note:** Only present when requested using the `include` query parameter.\n","uniqueKey":"program_template.program","typeLabel":"any"}},"required":["subject","type","id","body","created_at","updated_at"],"uniqueKey":"program_template","typeLabel":"ProgramTemplate · object"}},"required":["trigger","type","id","status","track_opens","track_clicks","created_at","updated_at"],"uniqueKey":"","typeLabel":"Program · object"},"examples":{"Default":{"title":"Default","value":{"id":"1CLJt2v5aNd8G5SGzEaeVU","type":"program","created_at":"2025-02-17T16:00:00.000Z","updated_at":"2025-02-17T16:00:00.000Z","display_name":"Test Subject to {{ person.name }}","status":"published","trigger":"api","track_opens":false,"track_clicks":true}},"Include Activity Metrics":{"title":"Include Activity Metrics","value":{"id":"1CLJt2v5aNd8G5SGzEaeVU","type":"program","created_at":"2025-02-17T16:00:00.000Z","updated_at":"2025-02-17T16:00:00.000Z","display_name":"Test Subject to {{ person.name }}","status":"published","trigger":"api","track_opens":false,"track_clicks":true,"activity_metrics":{"bounced":0,"clicked":0,"complained":0,"failed":0,"opened":0,"sent":0,"shielded":0,"unsubscribed":0}}},"Include Program Template":{"title":"Include Program Template","value":{"id":"1CLJt2v5aNd8G5SGzEaeVU","type":"program","created_at":"2025-02-17T16:00:00.000Z","updated_at":"2025-02-17T16:00:00.000Z","display_name":"Test Subject to {{ person.name }}","status":"published","trigger":"api","track_opens":false,"track_clicks":true,"program_template":{"id":"1CLJt2v6KXDyzDuM57pQqo","type":"program_template","subject":"Test Subject to {{ person.name }}","body":{"markdown":"Message content"},"created_at":"2025-02-17T16:00:00.000Z","updated_at":"2025-02-17T16:00:00.000Z"}}}},"exampleType":"examples"}},"exampleType":"examples"},"bfbf9664-d9f7-43bf-acf4-a35e1e717919":{"description":"","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"400","title":"Bad Request","detail":"The request could not be understood due to malformed syntax or invalid parameters."}]}}},"exampleType":"examples"}},"exampleType":"examples"},"86ed76b8-0fb6-4c67-8b34-4605e078f265":{"description":"Unauthorized","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"401","title":"Unauthorized","detail":"Invalid or missing API key or JWT. You should provide your Moonbase API Key or JWT in the authorization header, in the format: \"Authorization: Bearer MOONBASE_API_KEY\""}]}}},"exampleType":"examples"}},"exampleType":"examples"},"733ca2ce-c47f-43cc-b2e1-525a80602fbe":{"description":"Forbidden","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"403","title":"Forbidden"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"70c0373f-3072-4ba8-9556-29db29b564d5":{"description":"","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Not found":{"title":"Not found","value":{"type":"errors","errors":[{"type":"error","status":"404","title":"Not Found"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"48b29d69-4693-448c-bfcf-357b6a78aca6":{"description":"Too Many Requests","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"429","title":"Too Many Requests"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"01bc3cde-45d7-41eb-84fa-a8d6add60af7":{"description":"Internal Server Error","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"500","title":"Internal Server Error"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"b5f2f075-c3b7-4eec-b94a-0ebeacf014d6":{"description":"Service Unavailable","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"503","title":"Service Unavailable","detail":"The service is temporarily unavailable, please try again later."}]}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"148a69f3-74d8-46da-a68b-227d2b56d42f":{"bearer":{"type":"http","scheme":"bearer","description":"Your Moonbase API key.","scopes":[]}}},"servers":{"7a9e75d9-6b0b-44c3-8610-e4a9e3520de1":{"url":"https://api.moonbase.ai/v0"}},"schemas":{"e13d355b-5200-4cb1-872b-57d4220c4d84":{"title":"Program","description":"The Program object represents an email campaign. It defines the sending behavior and tracks engagement metrics.","type":"object","properties":{"type":{"description":"String representing the object’s type. Always `program` for this object.","type":"string","const":"program","isRequired":true},"id":{"description":"Unique identifier for the object.","type":"string","isRequired":true},"status":{"description":"The current status of the program. Can be `draft`, `published`, `paused`, or `archived`.","type":"string","enum":["draft","published","paused","archived"],"isRequired":true},"trigger":{"description":"The sending trigger for the program. Can be `api` for transactional sends or `broadcast` for scheduled sends.","type":"string","enum":["api","broadcast"],"isRequired":true},"track_opens":{"description":"`true` if email opens are tracked for this program.","type":"boolean","isRequired":true},"track_clicks":{"description":"`true` if link clicks are tracked for this program.","type":"boolean","isRequired":true},"created_at":{"description":"Time at which the object was created, as an ISO 8601 timestamp in UTC.","type":"string","format":"date-time","isRequired":true},"updated_at":{"description":"Time at which the object was last updated, as an ISO 8601 timestamp in UTC.","type":"string","format":"date-time","isRequired":true},"display_name":{"description":"The user-facing name of the program.","type":"string"},"scheduled_at":{"description":"For `broadcast` programs, the time the program is scheduled to send, as an ISO 8601 timestamp in UTC.","type":"string","format":"date-time"},"activity_metrics":{"title":"ProgramActivityMetrics","description":"A `ProgramActivityMetrics` object summarizing engagement for this program.\n\n**Note:** Only present when requested using the `include` query parameter.\n","type":"object","properties":{"bounced":{"description":"The number of emails that could not be delivered.","type":"integer","isRequired":true},"clicked":{"description":"The number of recipients who clicked at least one link.","type":"integer","isRequired":true},"complained":{"description":"The number of recipients who marked the email as spam.","type":"integer","isRequired":true},"failed":{"description":"The number of emails that failed to send due to a technical issue.","type":"integer","isRequired":true},"opened":{"description":"The number of recipients who opened the email.","type":"integer","isRequired":true},"sent":{"description":"The total number of emails successfully sent.","type":"integer","isRequired":true},"shielded":{"description":"The number of emails blocked by delivery protection rules.","type":"integer","isRequired":true},"unsubscribed":{"description":"The number of recipients who unsubscribed.","type":"integer","isRequired":true}},"required":["bounced","clicked","complained","failed","opened","sent","shielded","unsubscribed"]},"program_template":{"title":"ProgramTemplate","description":"The `ProgramTemplate` used for messages in this program.\n\n**Note:** Only present when requested using the `include` query parameter.\n","type":"object","properties":{"type":{"description":"String representing the object’s type. Always `program_template` for this object.","type":"string","const":"program_template","isRequired":true},"id":{"description":"Unique identifier for the object.","type":"string","isRequired":true},"subject":{"description":"The subject line of the email, which can include Liquid variables.","type":"string","isRequired":true},"body":{"title":"FormattedText","description":"The body content of the email, which can include Liquid variables.","type":"object","properties":{"markdown":{"description":"The content formatted as Markdown text.","type":"string"}},"required":[],"isRequired":true},"created_at":{"description":"Time at which the object was created, as an ISO 8601 timestamp in UTC.","type":"string","format":"date-time","isRequired":true},"updated_at":{"description":"Time at which the object was last updated, as an ISO 8601 timestamp in UTC.","type":"string","format":"date-time","isRequired":true},"program":{"$circularRef":"e13d355b-5200-4cb1-872b-57d4220c4d84","description":"The `Program` that uses this template.\n\n**Note:** Only present when requested using the `include` query parameter.\n"}},"required":["subject","type","id","body","created_at","updated_at"]}},"required":["trigger","type","id","status","track_opens","track_clicks","created_at","updated_at"]}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Your Moonbase API key.","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Your Moonbase API key.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearer","name":"Authorization"}],"title":"bearer"}]},"originalFileLocation":"https://app.stainless.com/api/spec/documented/moonbase-sdk/openapi.documented.yml"},"subdomain":"moonbase","siteName":"Moonbase","title":"Retrieve a Program - Moonbase","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-23T02:25:15.802Z","originalFileLocation":"api-reference/programs/get.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieves the details of an existing program.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Moonbase\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003cmeta data-mint-head name=\"robots\" content=\"noindex\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Retrieve a Program - Moonbase\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieves the details of an existing program.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Moonbase\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.moonbase.ai/api-reference/programs/get\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://moonbase.mintlify.app/_mintlify/api/og/v2?division=Programs\u0026amp;title=Retrieve+a+Program\u0026amp;description=Retrieves+the+details+of+an+existing+program.\u0026amp;theme=8ee57b81fe9be2588598191a\u0026amp;signature=0ec4f55b4c978a81132516cd3757bc695c358b25ef495452bd09853bd4e24433\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Retrieve a Program - Moonbase\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieves the details of an existing program.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://moonbase.mintlify.app/_mintlify/api/og/v2?division=Programs\u0026amp;title=Retrieve+a+Program\u0026amp;description=Retrieves+the+details+of+an+existing+program.\u0026amp;theme=8ee57b81fe9be2588598191a\u0026amp;signature=0ec4f55b4c978a81132516cd3757bc695c358b25ef495452bd09853bd4e24433\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Moonbase\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#155dfc\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.moonbase.ai/api-reference/programs/get\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/programs/get.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.moonbase.ai/#organization\",\"name\":\"Moonbase\",\"url\":\"https://docs.moonbase.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/moonbase/AOEZOe7JnGuxVPHu/logo/light.png?fit=max\u0026auto=format\u0026n=AOEZOe7JnGuxVPHu\u0026q=85\u0026s=925de8fb858a642820b533b6ebbfd861\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.moonbase.ai#website\",\"name\":\"Moonbase\",\"url\":\"https://docs.moonbase.ai\",\"publisher\":{\"@id\":\"https://docs.moonbase.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.moonbase.ai/api-reference/programs/get#webpage\",\"url\":\"https://docs.moonbase.ai/api-reference/programs/get\",\"name\":\"Retrieve a Program\",\"description\":\"Retrieves the details of an existing program.\",\"dateModified\":\"2026-01-23T02:25:15.802Z\",\"isPartOf\":{\"@id\":\"https://docs.moonbase.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.moonbase.ai/api-reference/programs/get#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.moonbase.ai/api-reference/programs/get#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://docs.moonbase.ai/api-reference/search\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Marketing\",\"item\":\"https://docs.moonbase.ai/api-reference/programs/list\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Programs\",\"item\":\"https://docs.moonbase.ai/api-reference/programs/list\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"Retrieve a Program\",\"item\":\"https://docs.moonbase.ai/api-reference/programs/get\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.moonbase.ai/api-reference/programs/get#apireference\",\"headline\":\"Retrieve a Program\",\"name\":\"Retrieve a Program\",\"description\":\"Retrieves the details of an existing program.\",\"url\":\"https://docs.moonbase.ai/api-reference/programs/get\",\"mainEntityOfPage\":{\"@id\":\"https://docs.moonbase.ai/api-reference/programs/get#webpage\"},\"dateModified\":\"2026-01-23T02:25:15.802Z\",\"publisher\":{\"@id\":\"https://docs.moonbase.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.moonbase.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Moonbase\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Moonbase","nav":{"global":{"anchors":[]},"tabs":[{"tab":"Welcome","pages":[{"title":"Welcome","href":"/home"}]},{"tab":"API Reference","groups":[{"group":"Introduction","pages":[{"title":"Overview","href":"/api-reference/introduction"}]},{"group":"Core Concepts","pages":[{"title":"SDKs","sidebarTitle":"SDKs","href":"/api-reference/libraries"},{"title":"Authentication","sidebarTitle":"Authentication","href":"/api-reference/authentication"},{"title":"Errors","sidebarTitle":"Errors","href":"/api-reference/error-handling"},{"title":"Rate Limits","sidebarTitle":"Rate Limits","href":"/api-reference/rate-limiting"},{"title":"Pagination","sidebarTitle":"Pagination","href":"/api-reference/pagination"},{"title":"Webhooks","sidebarTitle":"Webhooks","href":"/webhook-reference/getting-started"}]},{"group":"API Reference","pages":[{"group":"Search","pages":[{"title":"Search Items","openapi":"POST /search","sidebarTitle":"Search Items","href":"/api-reference/search"}]},{"group":"Collections","pages":[{"group":"Collections","pages":[{"title":"List Collections","openapi":"GET /collections","sidebarTitle":"List Collections","href":"/api-reference/collections/list"},{"title":"Retrieve a Collection","openapi":"GET /collections/{id}","sidebarTitle":"Retrieve a Collection","href":"/api-reference/collections/get"},{"title":"Create a Collection","openapi":"POST /collections","sidebarTitle":"Create a Collection","href":"/api-reference/collections/create"},{"title":"Update a Collection","openapi":"PATCH /collections/{id}","sidebarTitle":"Update a Collection","href":"/api-reference/collections/update"},{"title":"Delete a Collection","openapi":"DELETE /collections/{id}","sidebarTitle":"Delete a Collection","href":"/api-reference/collections/delete"},{"title":"Retrieve a Field","openapi":"GET /collections/{collection_id}/fields/{id}","sidebarTitle":"Retrieve a Field","href":"/api-reference/collections/get-field"},{"title":"Create a Field","openapi":"POST /collections/{collection_id}/fields","sidebarTitle":"Create a Field","href":"/api-reference/collections/create-field"},{"title":"Update a Field","openapi":"PATCH /collections/{collection_id}/fields/{id}","sidebarTitle":"Update a Field","href":"/api-reference/collections/update-field"},{"title":"Delete a Field","openapi":"DELETE /collections/{collection_id}/fields/{id}","sidebarTitle":"Delete a Field","href":"/api-reference/collections/delete-field"}]},{"group":"Items","pages":[{"title":"List Items","openapi":"GET /collections/{collection_id}/items","sidebarTitle":"List Items","href":"/api-reference/items/list"},{"title":"Search Collection Items","openapi":"POST /collections/{collection_id}/items/search","sidebarTitle":"Search Collection Items","href":"/api-reference/items/search"},{"title":"Retrieve an Item","openapi":"GET /collections/{collection_id}/items/{id}","sidebarTitle":"Retrieve an Item","href":"/api-reference/items/get"},{"title":"Create an Item","openapi":"POST /collections/{collection_id}/items","sidebarTitle":"Create an Item","href":"/api-reference/items/create"},{"title":"Update an Item","openapi":"PATCH /collections/{collection_id}/items/{id}","sidebarTitle":"Update an Item","href":"/api-reference/items/update"},{"title":"Create or Update an Item","openapi":"POST /collections/{collection_id}/items/upsert","sidebarTitle":"Upsert an Item","href":"/api-reference/items/upsert"},{"title":"Merge Collection Items","openapi":"POST /collections/{collection_id}/items/merge","sidebarTitle":"Merge Collection Items","href":"/api-reference/items/merge"},{"title":"Delete an Item","openapi":"DELETE /collections/{collection_id}/items/{id}","sidebarTitle":"Delete an Item","href":"/api-reference/items/delete"}]},{"group":"Views","pages":[{"title":"List Views","openapi":"GET /views","sidebarTitle":"List Views","href":"/api-reference/views/list"},{"title":"Retrieve a View","openapi":"GET /views/{id}","sidebarTitle":"Retrieve a View","href":"/api-reference/views/get"},{"title":"Create a View","openapi":"POST /views","sidebarTitle":"Create a View","href":"/api-reference/views/create"},{"title":"Update a View","openapi":"PATCH /views/{id}","sidebarTitle":"Update a View","href":"/api-reference/views/update"},{"title":"Delete a View","openapi":"DELETE /views/{id}","sidebarTitle":"Delete a View","href":"/api-reference/views/delete"},{"title":"List Items","openapi":"GET /views/{id}/items","sidebarTitle":"List Items","href":"/api-reference/views/list-items"}]},{"group":"Funnels","pages":[{"title":"List Funnels","openapi":"GET /funnels","sidebarTitle":"List Funnels","href":"/api-reference/funnels/list"},{"title":"Retrieve a Funnel","openapi":"GET /funnels/{id}","sidebarTitle":"Retrieve a Funnel","href":"/api-reference/funnels/get"},{"title":"Create a Funnel","openapi":"POST /funnels","sidebarTitle":"Create a Funnel","href":"/api-reference/funnels/create"},{"title":"Update a Funnel","openapi":"PATCH /funnels/{id}","sidebarTitle":"Update a Funnel","href":"/api-reference/funnels/update"},{"title":"Delete a Funnel","openapi":"DELETE /funnels/{id}","sidebarTitle":"Delete a Funnel","href":"/api-reference/funnels/delete"}]}]},{"group":"Inboxes","pages":[{"group":"Inboxes","pages":[{"title":"List Inboxes","openapi":"GET /inboxes","sidebarTitle":"List Inboxes","href":"/api-reference/inboxes/list"},{"title":"Retrieve an Inbox","openapi":"GET /inboxes/{id}","sidebarTitle":"Retrieve an Inbox","href":"/api-reference/inboxes/get"}]},{"group":"Conversations","pages":[{"title":"List Conversations","openapi":"GET /inbox_conversations","sidebarTitle":"List Conversations","href":"/api-reference/inbox-conversations/list"},{"title":"Retrieve a Conversation","openapi":"GET /inbox_conversations/{id}","sidebarTitle":"Retrieve a Conversation","href":"/api-reference/inbox-conversations/get"}]},{"group":"Messages","pages":[{"title":"List Messages","openapi":"GET /inbox_messages","sidebarTitle":"List Messages","href":"/api-reference/inbox-messages/list"},{"title":"Retrieve a Message","openapi":"GET /inbox_messages/{id}","sidebarTitle":"Retrieve a Message","href":"/api-reference/inbox-messages/get"},{"title":"Create a Draft","openapi":"POST /inbox_messages","sidebarTitle":"Create a Draft","href":"/api-reference/inbox-messages/create"},{"title":"Update a Draft","openapi":"PATCH /inbox_messages/{id}","sidebarTitle":"Update a Draft","href":"/api-reference/inbox-messages/update"},{"title":"Delete a Draft","openapi":"DELETE /inbox_messages/{id}","sidebarTitle":"Delete a Draft","href":"/api-reference/inbox-messages/delete"},{"title":"Add an attachment","openapi":"POST /inbox_messages/{inbox_message_id}/attachments","sidebarTitle":"Add an attachment","href":"/api-reference/inbox-messages/add-attachment"},{"title":"Remove an attachment","openapi":"DELETE /inbox_messages/{inbox_message_id}/attachments/{id}","sidebarTitle":"Remove an attachment","href":"/api-reference/inbox-messages/remove-attachment"}]}]},{"group":"Marketing","pages":[{"group":"Programs","pages":[{"title":"List Programs","openapi":"GET /programs","sidebarTitle":"List Programs","description":"Returns a list of your marketing programs.","href":"/api-reference/programs/list"},{"title":"Retrieve a Program","openapi":"GET /programs/{id}","sidebarTitle":"Retrieve a Program","href":"/api-reference/programs/get"}]},{"group":"Program Templates","pages":[{"title":"List Program Templates","openapi":"GET /program_templates","sidebarTitle":"List Program Templates","description":"Returns a list of your program templates.","href":"/api-reference/program-templates/list"},{"title":"Retrieve a Program Template","openapi":"GET /program_templates/{id}","sidebarTitle":"Retrieve a Program Template","href":"/api-reference/program-templates/get"}]},{"group":"Program Messages","pages":[{"title":"Send a Message","openapi":"POST /program_messages","sidebarTitle":"Send a Message","href":"/api-reference/program-messages/create"}]},{"group":"Forms","pages":[{"title":"List Forms","openapi":"GET /forms","sidebarTitle":"List Forms","href":"/api-reference/forms/list"},{"title":"Retrieve a Form","openapi":"GET /forms/{id}","sidebarTitle":"Retrieve a Form","href":"/api-reference/forms/get"},{"title":"Create a Form","openapi":"POST /forms","sidebarTitle":"Create a Form","href":"/api-reference/forms/create"},{"title":"Update a Form","openapi":"PATCH /forms/{id}","sidebarTitle":"Update a Form","href":"/api-reference/forms/update"},{"title":"Delete a Form","openapi":"DELETE /forms/{id}","sidebarTitle":"Delete a Form","href":"/api-reference/forms/delete"}]},{"group":"Unsubscribes","pages":[{"title":"List Unsubscribes","openapi":"GET /unsubscribes","sidebarTitle":"List Unsubscribes","href":"/api-reference/unsubscribes/list"},{"title":"Create an Unsubscribe","openapi":"POST /unsubscribes","sidebarTitle":"Create an Unsubscribe","href":"/api-reference/unsubscribes/create"},{"title":"Delete an Unsubscribe","openapi":"DELETE /unsubscribes/{email}","sidebarTitle":"Delete an Unsubscribe","href":"/api-reference/unsubscribes/delete"}]}]},{"group":"Library","pages":[{"group":"Files","pages":[{"title":"List Files","openapi":"GET /files","sidebarTitle":"List Files","href":"/api-reference/files/list"},{"title":"Retrieve a File","openapi":"GET /files/{id}","sidebarTitle":"Retrieve a File","href":"/api-reference/files/get"},{"title":"Upload a File","openapi":"POST /files","sidebarTitle":"Upload a File","href":"/api-reference/files/create"},{"title":"Delete a File","openapi":"DELETE /files/{id}","sidebarTitle":"Delete a File","href":"/api-reference/files/delete"}]},{"group":"Meetings","pages":[{"title":"List Meetings","openapi":"GET /meetings","sidebarTitle":"List Meetings","href":"/api-reference/meetings/list"},{"title":"Retrieve a Meeting","openapi":"GET /meetings/{id}","sidebarTitle":"Retrieve a Meeting","href":"/api-reference/meetings/get"},{"title":"Update a Meeting","openapi":"PATCH /meetings/{id}","sidebarTitle":"Update a Meeting","href":"/api-reference/meetings/update"}]},{"group":"Notes","pages":[{"title":"List Notes","openapi":"GET /notes","sidebarTitle":"List Notes","href":"/api-reference/notes/list"},{"title":"Retrieve a Note","openapi":"GET /notes/{id}","sidebarTitle":"Retrieve a Note","href":"/api-reference/notes/get"},{"title":"Create a Note","openapi":"POST /notes","sidebarTitle":"Create a Note","href":"/api-reference/notes/create"},{"title":"Update a Note","openapi":"PATCH /notes/{id}","sidebarTitle":"Update a Note","href":"/api-reference/notes/update"},{"title":"Delete a Note","openapi":"DELETE /notes/{id}","sidebarTitle":"Delete a Note","href":"/api-reference/notes/delete"}]},{"group":"Calls","pages":[{"title":"List Calls","openapi":"GET /calls","sidebarTitle":"List Calls","href":"/api-reference/calls/list"},{"title":"Retrieve a Call","openapi":"GET /calls/{id}","sidebarTitle":"Retrieve a Call","href":"/api-reference/calls/get"},{"title":"Create a Call","openapi":"POST /calls","sidebarTitle":"Create a Call","href":"/api-reference/calls/create"},{"title":"Create or Update a Call","openapi":"POST /calls/upsert","sidebarTitle":"Upsert a Call","href":"/api-reference/calls/upsert"}]},{"group":"Activities","pages":[{"title":"List Activities","openapi":"GET /activities","sidebarTitle":"List Activities","href":"/api-reference/activities/list"},{"title":"Retrieve an Activity","openapi":"GET /activities/{id}","sidebarTitle":"Retrieve an Activity","href":"/api-reference/activities/get"}]},{"group":"Tagsets","pages":[{"title":"List Tagsets","openapi":"GET /tagsets","sidebarTitle":"List Tagsets","href":"/api-reference/tagsets/list"},{"title":"Retrieve a Tagset","openapi":"GET /tagsets/{id}","sidebarTitle":"Retrieve a Tagset","href":"/api-reference/tagsets/get"},{"title":"Create a Tagset","openapi":"POST /tagsets","sidebarTitle":"Create a Tagset","href":"/api-reference/tagsets/create"},{"title":"Update a Tagset","openapi":"PATCH /tagsets/{id}","sidebarTitle":"Update a Tagset","href":"/api-reference/tagsets/update"},{"title":"Delete a Tagset","openapi":"DELETE /tagsets/{id}","sidebarTitle":"Delete a Tagset","href":"/api-reference/tagsets/delete"}]}]},{"group":"Webhooks","pages":[{"group":"Endpoints","pages":[{"title":"List Endpoints","openapi":"GET /webhook_endpoints","sidebarTitle":"List Endpoints","href":"/api-reference/webhook-endpoints/list"},{"title":"Retrieve an Endpoint","openapi":"GET /webhook_endpoints/{id}","sidebarTitle":"Retrieve an Endpoint","href":"/api-reference/webhook-endpoints/get"},{"title":"Create an Endpoint","openapi":"POST /webhook_endpoints","sidebarTitle":"Create an Endpoint","href":"/api-reference/webhook-endpoints/create"},{"title":"Update an Endpoint","openapi":"PATCH /webhook_endpoints/{id}","sidebarTitle":"Update an Endpoint","href":"/api-reference/webhook-endpoints/update"},{"title":"Delete an Endpoint","openapi":"DELETE /webhook_endpoints/{id}","sidebarTitle":"Delete an Endpoint","href":"/api-reference/webhook-endpoints/delete"}]},{"group":"Events","pages":[{"title":"Call Occurred","openapi":"webhook activity/call_occurred","sidebarTitle":"Call Occurred","href":"/webhook-reference/activities/call-occurred"},{"title":"File Created","openapi":"webhook activity/file_created","sidebarTitle":"File Created","href":"/webhook-reference/activities/file-created"},{"title":"Form Submitted","openapi":"webhook activity/form_submitted","sidebarTitle":"Form Submitted","href":"/webhook-reference/activities/form-submitted"},{"title":"Inbox Message Sent","openapi":"webhook activity/inbox_message_sent","sidebarTitle":"Inbox Message Sent","href":"/webhook-reference/activities/inbox-message-sent"},{"title":"Item Created","openapi":"webhook activity/item_created","sidebarTitle":"Item Created","href":"/webhook-reference/activities/item-created"},{"title":"Item Mentioned","openapi":"webhook activity/item_mentioned","sidebarTitle":"Item Mentioned","href":"/webhook-reference/activities/item-mentioned"},{"title":"Item Merged","openapi":"webhook activity/item_merged","sidebarTitle":"Item Merged","href":"/webhook-reference/activities/item-merged"},{"title":"Meeting Held","openapi":"webhook activity/meeting_held","sidebarTitle":"Meeting Held","href":"/webhook-reference/activities/meeting-held"},{"title":"Meeting Scheduled","openapi":"webhook activity/meeting_scheduled","sidebarTitle":"Meeting Scheduled","href":"/webhook-reference/activities/meeting-scheduled"},{"title":"Note Created","openapi":"webhook activity/note_created","sidebarTitle":"Note Created","href":"/webhook-reference/activities/note-created"},{"title":"Program Message Bounced","openapi":"webhook activity/program_message_bounced","sidebarTitle":"Program Message Bounced","href":"/webhook-reference/activities/program-message-bounced"},{"title":"Program Message Clicked","openapi":"webhook activity/program_message_clicked","sidebarTitle":"Program Message Clicked","href":"/webhook-reference/activities/program-message-clicked"},{"title":"Program Message Complained","openapi":"webhook activity/program_message_complained","sidebarTitle":"Program Message Complained","href":"/webhook-reference/activities/program-message-complained"},{"title":"Program Message Failed","openapi":"webhook activity/program_message_failed","sidebarTitle":"Program Message Failed","href":"/webhook-reference/activities/program-message-failed"},{"title":"Program Message Opened","openapi":"webhook activity/program_message_opened","sidebarTitle":"Program Message Opened","href":"/webhook-reference/activities/program-message-opened"},{"title":"Program Message Sent","openapi":"webhook activity/program_message_sent","sidebarTitle":"Program Message Sent","href":"/webhook-reference/activities/program-message-sent"},{"title":"Program Message Shielded","openapi":"webhook activity/program_message_shielded","sidebarTitle":"Program Message Shielded","href":"/webhook-reference/activities/program-message-shielded"},{"title":"Program Message Unsubscribed","openapi":"webhook activity/program_message_unsubscribed","sidebarTitle":"Program Message Unsubscribed","href":"/webhook-reference/activities/program-message-unsubscribed"}]}]}]}]}]},"basePath":"","title":"Retrieve a Program - Moonbase","buildId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","deploymentId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-C8RPHPxo.js","utils-0BK-9q6z.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DfjzsUJT.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B4v9psJ4.js","snippetPresets-CpTQv-Ez.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-BNP-Fvr0.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BSgu6h1D.js","shallow-Biv1i9Gs.js","getApiPlaygroundDisplay-BoGOXhtF.js","CodeSnippet-DvQoT18_.js","CodeSnippets-Dnpa15xT.js","Page-Buji1S4J.js","getPastedJson-xAIyhUFE.js","icon-S6FBih11.js","MethodPill-SaYeUZyk.js","DuplicateIcon-Cs-p3v2Q.js","createIcon-DjCFEoHq.js","DynamicMarkdown-BcnBltEQ.js","SectionHeading-BUBl0eEF.js","axios-vUo_bRtp.js","Markdown-h4cOoD8d.js","clsx-B2v50t8t.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DJnKvr0g.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BHrrjR1K.js"]}